#include <iostream.h>
#include <stdlib.h>
#include <string.h>
#include "hyperint.H"
main(int argc, char *argv[])
{
   int i;
   HyperInt opA, opB, result;
   for (i = 1; i < argc; i++)
   {
      char switchValue = *argv[i];
      switch (switchValue)
      {
	 case '-':
	    if (strlen(argv[i]) != 1)
	    {
	    	opA = opB;
	    	opB = argv[i];
	    } // negative number
	    {
	    	result = opA - opB;
	    	cout << opA << " - " << opB << " = " << result << endl;
	    	opA = opB;
	    	opB = result;
	    } // minus operand
	    break;
	 case '0':
	 case '1':
	 case '2':
	 case '3':
	 case '4':
	 case '5':
	 case '6':
	 case '7':
	 case '8':
	 case '9':
	    opA = opB;
	    opB = argv[i];
	    break;
	 case '+':
	    result = opA + opB;
	    cout << opA << " + " << opB << " = " << result << endl;
	    opA = opB;
	    opB = result;
	    break;
	 case '%':
	    result = opA % opB;
	    cout << opA << " % " << opB << " = " << result << endl;
	    opA = opB;
	    opB = result;
	    break;
	 case '/':
	    result = opA / opB;
	    cout << opA << " / " << opB << " = " << result << endl;
	    opA = opB;
	    opB = result;
	    break;
	 case 'X':
	 case 'x':
	 case '*':
	    result = opA * opB;
	    cout << opA << " * " << opB << " = " << result << endl;
	    opA = opB;
	    opB = result;
	    break;
	 default:
	    cout << "I do not know what to do with " << argv[i] << endl;
	    exit(1);
      }
   }
}
